org.fourthline.cling.transport.impl.apache

## Class HttpServerConnectionUpnpStream.UpnpHttpService

- java.lang.Object
- - org.apache.http.protocol.HttpService
  - - org.fourthline.cling.transport.impl.apache.HttpServerConnectionUpnpStream.UpnpHttpService

- Enclosing class:
    HttpServerConnectionUpnpStream

      protected class HttpServerConnectionUpnpStream.UpnpHttpService
      extends org.apache.http.protocol.HttpService

  A thread-safe custom service implementation that creates a UPnP message from the request, then passes it to `UpnpStream#process()`, finally sends the response back to the client.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServerConnectionUpnpStream.UpnpHttpService(org.apache.http.protocol.HttpProcessor processor, org.apache.http.ConnectionReuseStrategy reuse, org.apache.http.HttpResponseFactory responseFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doService(org.apache.http.HttpRequest httpRequest, org.apache.http.HttpResponse httpResponse, org.apache.http.protocol.HttpContext ctx)`
    `protected org.apache.http.params.HttpParams` | `getResponseParams(UpnpOperation operation)`

    - ### Methods inherited from class org.apache.http.protocol.HttpService

      `getParams, handleException, handleRequest, setConnReuseStrategy, setExpectationVerifier, setHandlerResolver, setHttpProcessor, setParams, setResponseFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServerConnectionUpnpStream.UpnpHttpService

          public HttpServerConnectionUpnpStream.UpnpHttpService(org.apache.http.protocol.HttpProcessor processor,
                                                        org.apache.http.ConnectionReuseStrategy reuse,
                                                        org.apache.http.HttpResponseFactory responseFactory)

  - ### Method Detail

    - #### doService

          protected void doService(org.apache.http.HttpRequest httpRequest,
                       org.apache.http.HttpResponse httpResponse,
                       org.apache.http.protocol.HttpContext ctx)
                            throws org.apache.http.HttpException,
                                   IOException

      Overrides:
        `doService` in class `org.apache.http.protocol.HttpService`
      Throws:
        `org.apache.http.HttpException`
        `IOException`

    - #### getResponseParams

          protected org.apache.http.params.HttpParams getResponseParams(UpnpOperation operation)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.